## ruqola 2.6.0+p24.04+vstable+git20251021.0352

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_subdirectory(cmark-rc)

add_subdirectory(rocketchatrestapi-qt)

add_subdirectory(core)

add_subdirectory(widgets)

add_subdirectory(plugins)

add_subdirectory(icons)

add_subdirectory(apps)

if(APPLE)
    set_target_properties(
        ruqola
        PROPERTIES
            MACOSX_BUNDLE_DISPLAY_NAME "Ruqola"
            MACOSX_BUNDLE_BUNDLE_NAME "Ruqola"
            MACOSX_BUNDLE_LONG_VERSION_STRING "Ruqola ${RUQOLA_VERSION}"
            MACOSX_BUNDLE_SHORT_VERSION_STRING "${RUQOLA_VERSION}"
            MACOSX_BUNDLE_BUNDLE_VERSION "${RUQOLA_VERSION}"
            MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.ruqola"
            MACOSX_BUNDLE_COPYRIGHT "2020-2025 The Ruqola Developers"
    )
endif()

install(PROGRAMS data/org.kde.ruqola.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(
    FILES data/org.kde.ruqola.appdata.xml
    DESTINATION ${KDE_INSTALL_METAINFODIR}
)
install(FILES data/ruqola.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})
install(
    FILES data/ruqola.openurl
    DESTINATION ${KDE_INSTALL_DATADIR}/messageviewer/openurlwith
)

=== tests/autogenerateinteractionuigui/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_executable(autogenerateinteractiongui)
target_sources(
    autogenerateinteractiongui
    PRIVATE autogenerateinteractiongui.cpp autogenerateinteractiongui.h
)

target_link_libraries(autogenerateinteractiongui Qt::Widgets libruqolawidgets)

set_target_properties(
    autogenerateinteractiongui
    PROPERTIES DISABLE_PRECOMPILE_HEADERS ON
)

=== tests/loadroomcache/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_executable(loadroomcachetest)
target_sources(loadroomcachetest PRIVATE loadroomcache.cpp loadroomcache.h)
target_link_libraries(loadroomcachetest Qt::Widgets KF6::KIOWidgets)

=== tests/passwordvalidategui/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_executable(passwordvalidategui)
target_sources(
    passwordvalidategui
    PRIVATE passwordvalidategui.h passwordvalidategui.cpp
)

target_link_libraries(passwordvalidategui Qt::Widgets Qt::Gui libruqolawidgets)
set_target_properties(
    passwordvalidategui
    PROPERTIES DISABLE_PRECOMPILE_HEADERS ON
)

=== src/rocketchatrestapi-qt/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DRUQOLA_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data")
macro(add_rocketchatrestapi_test _source)
    set(_test ${_source})
    get_filename_component(_name ${_source} NAME_WE)
    add_executable(${_name} ${_test} ${_name}.h)
    add_test(NAME ${_name} COMMAND ${_name})
    ecm_mark_as_test(${_name})
    target_link_libraries(${_name} Qt::Test librocketchatrestapi-qt)
    set_target_properties(${_name} PROPERTIES DISABLE_PRECOMPILE_HEADERS ON)
endmacro()

add_rocketchatrestapi_test(restapiutiltest.cpp)
add_rocketchatrestapi_test(restapimethodtest.cpp)
add_rocketchatrestapi_test(serverinfojobtest.cpp)
add_rocketchatrestapi_test(uploadfilejobtest.cpp)
add_rocketchatrestapi_test(owninfojobtest.cpp)
add_rocketchatrestapi_test(getavatarjobtest.cpp)
add_rocketchatrestapi_test(logoutjobtest.cpp)
add_rocketchatrestapi_test(loginjobtest.cpp)
add_rocketchatrestapi_test(privateinfojobtest.cpp)
add_rocketchatrestapi_test(channellistjobtest.cpp)
add_rocketchatrestapi_test(starmessagejobtest.cpp)
add_rocketchatrestapi_test(downloadfilejobtest.cpp)
add_rocketchatrestapi_test(pinmessagejobtest.cpp)
add_rocketchatrestapi_test(postmessagejobtest.cpp)
add_rocketchatrestapi_test(changechanneltopicjobtest.cpp)
add_rocketchatrestapi_test(changechannelannouncementjobtest.cpp)
add_rocketchatrestapi_test(changegroupstopicjobtest.cpp)
add_rocketchatrestapi_test(changegroupsannouncementjobtest.cpp)
add_rocketchatrestapi_test(changechannelnamejobtest.cpp)
add_rocketchatrestapi_test(changegroupsnamejobtest.cpp)
add_rocketchatrestapi_test(deletemessagejobtest.cpp)
add_rocketchatrestapi_test(createchanneljobtest.cpp)
add_rocketchatrestapi_test(creategroupsjobtest.cpp)
add_rocketchatrestapi_test(leavechanneljobtest.cpp)
add_rocketchatrestapi_test(leavegroupsjobtest.cpp)
add_rocketchatrestapi_test(updatemessagejobtest.cpp)
add_rocketchatrestapi_test(reactonmessagejobtest.cpp)
add_rocketchatrestapi_test(channelclosejobtest.cpp)
add_rocketchatrestapi_test(createdmjobtest.cpp)
add_rocketchatrestapi_test(channelhistoryjobtest.cpp)
add_rocketchatrestapi_test(changechanneldescriptionjobtest.cpp)
add_rocketchatrestapi_test(changegroupsdescriptionjobtest.cpp)
add_rocketchatrestapi_test(changechannelreadonlyjobtest.cpp)
add_rocketchatrestapi_test(archivechanneljobtest.cpp)
add_rocketchatrestapi_test(archivegroupsjobtest.cpp)
add_rocketchatrestapi_test(channelfilesjobtest.cpp)
add_rocketchatrestapi_test(channelinvitejobtest.cpp)
add_rocketchatrestapi_test(groupsinvitejobtest.cpp)
add_rocketchatrestapi_test(loademojicustomjobtest.cpp)
add_rocketchatrestapi_test(spotlightjobtest.cpp)
add_rocketchatrestapi_test(searchmessagejobtest.cpp)
add_rocketchatrestapi_test(savenotificationjobtest.cpp)
add_rocketchatrestapi_test(markroomasreadjobtest.cpp)
add_rocketchatrestapi_test(settingsoauthjobtest.cpp)
add_rocketchatrestapi_test(facebookauthjobtest.cpp)
add_rocketchatrestapi_test(googleauthjobtest.cpp)
add_rocketchatrestapi_test(twitterauthjobtest.cpp)
add_rocketchatrestapi_test(roomfavoritejobtest.cpp)
add_rocketchatrestapi_test(setjoincodechanneljobtest.cpp)
add_rocketchatrestapi_test(setavatarjobtest.cpp)
add_rocketchatrestapi_test(markroomasunreadjobtest.cpp)
add_rocketchatrestapi_test(forgotpasswordjobtest.cpp)
add_rocketchatrestapi_test(userinfojobtest.cpp)
add_rocketchatrestapi_test(userspresencejobtest.cpp)
add_rocketchatrestapi_test(ignoreuserjobtest.cpp)
add_rocketchatrestapi_test(channelremoveownerjobtest.cpp)
add_rocketchatrestapi_test(getpresencejobtest.cpp)
add_rocketchatrestapi_test(reportmessagejobtest.cpp)
add_rocketchatrestapi_test(resetavatarjobtest.cpp)
add_rocketchatrestapi_test(setgrouptypejobtest.cpp)
add_rocketchatrestapi_test(setchanneltypejobtest.cpp)
add_rocketchatrestapi_test(getchannelrolesjobtest.cpp)
add_rocketchatrestapi_test(getgrouprolesjobtest.cpp)
add_rocketchatrestapi_test(getusernamesuggestionjobtest.cpp)
add_rocketchatrestapi_test(permissionslistalljobtest.cpp)
add_rocketchatrestapi_test(listcommandsjobtest.cpp)
add_rocketchatrestapi_test(channeladdownerjobtest.cpp)
add_rocketchatrestapi_test(channeladdmoderatorjobtest.cpp)
add_rocketchatrestapi_test(groupaddmoderatorjobtest.cpp)
add_rocketchatrestapi_test(groupaddownerjobtest.cpp)
add_rocketchatrestapi_test(getmessagejobtest.cpp)
add_rocketchatrestapi_test(channelkickjobtest.cpp)
add_rocketchatrestapi_test(groupskickjobtest.cpp)
add_rocketchatrestapi_test(fetchmykeysjobtest.cpp)
add_rocketchatrestapi_test(setuserpublicandprivatekeysjobtest.cpp)
add_rocketchatrestapi_test(channeljoinjobtest.cpp)
add_rocketchatrestapi_test(roomleavejobtest.cpp)
add_rocketchatrestapi_test(getroomsjobtest.cpp)
add_rocketchatrestapi_test(channelinfojobtest.cpp)
add_rocketchatrestapi_test(groupsinfojobtest.cpp)
add_rocketchatrestapi_test(channelgetallusermentionsjobtest.cpp)
add_rocketchatrestapi_test(queryparameterstest.cpp)
add_rocketchatrestapi_test(opendmjobtest.cpp)
add_rocketchatrestapi_test(groupremoveownerjobtest.cpp)
add_rocketchatrestapi_test(groupaddleaderjobtest.cpp)
add_rocketchatrestapi_test(groupremoveleaderjobtest.cpp)
add_rocketchatrestapi_test(groupremovemoderatorjobtest.cpp)
add_rocketchatrestapi_test(channelremovemoderatorjobtest.cpp)
add_rocketchatrestapi_test(channeldeletejobtest.cpp)
add_rocketchatrestapi_test(groupsdeletejobtest.cpp)
add_rocketchatrestapi_test(channelsmoderatorsjobtest.cpp)
add_rocketchatrestapi_test(channelmembersjobtest.cpp)
add_rocketchatrestapi_test(changegroupsreadonlyjobtest.cpp)
add_rocketchatrestapi_test(changegroupsencryptedjobtest.cpp)
add_rocketchatrestapi_test(channeladdleaderjobtest.cpp)
add_rocketchatrestapi_test(channelremoveleaderjobtest.cpp)
add_rocketchatrestapi_test(followmessagejobtest.cpp)
add_rocketchatrestapi_test(unfollowmessagejobtest.cpp)
add_rocketchatrestapi_test(roomstartdiscussionjobtest.cpp)
add_rocketchatrestapi_test(getdiscussionsjobtest.cpp)
add_rocketchatrestapi_test(getthreadsjobtest.cpp)
add_rocketchatrestapi_test(getthreadmessagesjobtest.cpp)
add_rocketchatrestapi_test(sendmessagejobtest.cpp)
add_rocketchatrestapi_test(emojicustomdeletejobtest.cpp)
add_rocketchatrestapi_test(getpinnedmessagesjobtest.cpp)
add_rocketchatrestapi_test(getsupportedlanguagesjobtest.cpp)
add_rocketchatrestapi_test(translatemessagejobtest.cpp)
add_rocketchatrestapi_test(syncthreadmessagesjobtest.cpp)
add_rocketchatrestapi_test(translatesavesettingsjobtest.cpp)
add_rocketchatrestapi_test(setstatusjobtest.cpp)
add_rocketchatrestapi_test(getstarredmessagesjobtest.cpp)
add_rocketchatrestapi_test(getsnippetedmessagesjobtest.cpp)
add_rocketchatrestapi_test(customuserstatuslistjobtest.cpp)
add_rocketchatrestapi_test(customsoundslistjobtest.cpp)
add_rocketchatrestapi_test(usersautocompletejobtest.cpp)
add_rocketchatrestapi_test(roomsautocompletechannelandprivatejobtest.cpp)
add_rocketchatrestapi_test(findorcreateinvitejobtest.cpp)
add_rocketchatrestapi_test(getcommandsjobtest.cpp)
add_rocketchatrestapi_test(runcommandjobtest.cpp)
add_rocketchatrestapi_test(user2fadisableemailjobtest.cpp)
add_rocketchatrestapi_test(user2faenableemailjobtest.cpp)
add_rocketchatrestapi_test(user2fasendemailcodejobtest.cpp)
add_rocketchatrestapi_test(deleteownaccountjobtest.cpp)
add_rocketchatrestapi_test(registeruserjobtest.cpp)
add_rocketchatrestapi_test(usersupdatejobtest.cpp)
add_rocketchatrestapi_test(usersupdateownbasicinfojobtest.cpp)
add_rocketchatrestapi_test(roomscleanhistoryjobtest.cpp)
add_rocketchatrestapi_test(adminroomsjobtest.cpp)
add_rocketchatrestapi_test(roomsinfojobtest.cpp)
add_rocketchatrestapi_test(channelgetcountersjobtest.cpp)
add_rocketchatrestapi_test(userssetpreferencesjobtest.cpp)
add_rocketchatrestapi_test(removeothertokensjobtest.cpp)
add_rocketchatrestapi_test(deleteuserjobtest.cpp)
add_rocketchatrestapi_test(userscreatejobtest.cpp)
add_rocketchatrestapi_test(customuserstatuscreatetestjob.cpp)
add_rocketchatrestapi_test(customuserstatusdeletetestjob.cpp)
add_rocketchatrestapi_test(customuserstatusupdatetestjob.cpp)
add_rocketchatrestapi_test(emojicustomupdatejobtest.cpp)
add_rocketchatrestapi_test(emojicustomcreatejobtest.cpp)
add_rocketchatrestapi_test(roomsexportjobtest.cpp)
add_rocketchatrestapi_test(statisticsjobtest.cpp)
add_rocketchatrestapi_test(userslistjobtest.cpp)
add_rocketchatrestapi_test(directoryjobtest.cpp)
add_rocketchatrestapi_test(saveroomsettingsjobtest.cpp)
add_rocketchatrestapi_test(getmentionedmessagesjobtest.cpp)
add_rocketchatrestapi_test(changearchivationstatejobtest.cpp)
add_rocketchatrestapi_test(listinvitejobtest.cpp)
add_rocketchatrestapi_test(teamslistroomsjobtest.cpp)
add_rocketchatrestapi_test(teamremoveroomjobtest.cpp)
add_rocketchatrestapi_test(teamupdateroomjobtest.cpp)
add_rocketchatrestapi_test(roomsautocompleteavailableforteamsjobtest.cpp)
add_rocketchatrestapi_test(teamaddroomsjobtest.cpp)
add_rocketchatrestapi_test(teamscreatejobtest.cpp)
add_rocketchatrestapi_test(createchannelteaminfotest.cpp)
add_rocketchatrestapi_test(teamremovemembersjobtest.cpp)
add_rocketchatrestapi_test(channelsconverttoteamjobtest.cpp)
add_rocketchatrestapi_test(teamdeletejobtest.cpp)
add_rocketchatrestapi_test(teamsinfojobtest.cpp)
add_rocketchatrestapi_test(groupsconverttoteamjobtest.cpp)
add_rocketchatrestapi_test(teamsautocompletejobtest.cpp)
add_rocketchatrestapi_test(setuseractivestatusjobtest.cpp)
add_rocketchatrestapi_test(roleslistjobtest.cpp)
add_rocketchatrestapi_test(createupdateuserinfotest.cpp)
add_rocketchatrestapi_test(stdoutqueuejobtest.cpp)
add_rocketchatrestapi_test(channelopenjobtest.cpp)
add_rocketchatrestapi_test(groupopenjobtest.cpp)
add_rocketchatrestapi_test(emojicustomalljobtest.cpp)
add_rocketchatrestapi_test(teamslistjobtest.cpp)
add_rocketchatrestapi_test(teamconverttochanneljobtest.cpp)
add_rocketchatrestapi_test(permissionupdatejobtest.cpp)
add_rocketchatrestapi_test(rolecreatejobtest.cpp)
add_rocketchatrestapi_test(roleupdatejobtest.cpp)
add_rocketchatrestapi_test(roledeletejobtest.cpp)
add_rocketchatrestapi_test(removeuserfromrolejobtest.cpp)
add_rocketchatrestapi_test(addusertorolejobtest.cpp)
add_rocketchatrestapi_test(getusersinrolejobtest.cpp)
add_rocketchatrestapi_test(deletedmjobtest.cpp)
add_rocketchatrestapi_test(adminroomsgetroomjobtest.cpp)
add_rocketchatrestapi_test(resetowne2ekeyjobtest.cpp)
add_rocketchatrestapi_test(listoauthappsjobtest.cpp)
add_rocketchatrestapi_test(oauthappsjobtest.cpp)
add_rocketchatrestapi_test(resettotpjobtest.cpp)
add_rocketchatrestapi_test(resete2ekeyjobtest.cpp)
add_rocketchatrestapi_test(updateadminsettingsjobtest.cpp)
add_rocketchatrestapi_test(updategroupkeyjobtest.cpp)
add_rocketchatrestapi_test(bannersdismissjobtest.cpp)
add_rocketchatrestapi_test(getbannersjobtest.cpp)
add_rocketchatrestapi_test(licensesisenterprisejobtest.cpp)
add_rocketchatrestapi_test(sessionslistjobtest.cpp)
add_rocketchatrestapi_test(sessionslogoutmejobtest.cpp)
add_rocketchatrestapi_test(getpersonalaccesstokensjobtest.cpp)
add_rocketchatrestapi_test(regeneratepersonalaccesstokenjobtest.cpp)
add_rocketchatrestapi_test(removepersonalaccesstokenjobtest.cpp)
add_rocketchatrestapi_test(generatepersonalaccesstokenjobtest.cpp)
add_rocketchatrestapi_test(userrequestdatadownloadjobtest.cpp)
add_rocketchatrestapi_test(roomsdeletejobtest.cpp)
add_rocketchatrestapi_test(oauthappscreatejobtest.cpp)
add_rocketchatrestapi_test(videoconferenceprovidersjobtest.cpp)
add_rocketchatrestapi_test(videoconferencecapabilitiesjobtest.cpp)
add_rocketchatrestapi_test(videoconferencestartjobtest.cpp)
add_rocketchatrestapi_test(videoconferencejoinjobtest.cpp)
add_rocketchatrestapi_test(videoconferenceinfojobtest.cpp)
add_rocketchatrestapi_test(videoconferencecanceljobtest.cpp)
add_rocketchatrestapi_test(sendinvitationemailjobtest.cpp)
add_rocketchatrestapi_test(syncmessagesjobtest.cpp)
add_rocketchatrestapi_test(moderationreportsbyusersjobtest.cpp)
add_rocketchatrestapi_test(moderationreportsjobtest.cpp)

=== src/widgets/importexportdata/tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
######
add_executable(testimportdatawizard_gui testimportdatawizard_gui.cpp)
target_link_libraries(testimportdatawizard_gui libruqolawidgets KF6::I18n)

######
add_executable(testexportdatawizard_gui testexportdatawizard_gui.cpp)
target_link_libraries(testexportdatawizard_gui libruqolawidgets KF6::I18n)

=== src/widgets/needupdateversion/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none

add_definitions(-DRUQOLA_DATA_NEEDUPDATEDIR="${CMAKE_CURRENT_SOURCE_DIR}/data")

macro(add_needupdateversion_unittest _source)
    get_filename_component(_name ${_source} NAME_WE)
    ecm_add_test(${_source} ${_name}.h
        TEST_NAME ${_name}
        LINK_LIBRARIES Qt::Test Qt::Gui libruqolawidgets
    )
endmacro()

add_needupdateversion_unittest(needupdateversionwidgettest.cpp)
add_needupdateversion_unittest(needupdateversionutilstest.cpp)
add_needupdateversion_unittest(needupdateparsehtmljobtest.cpp)
add_needupdateversion_unittest(needupdateparsehtmlutiltest.cpp)
add_needupdateversion_unittest(needupdatecheckexistingnewversionjobtest.cpp)

=== src/plugins/authentication/google/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
ecm_qt_declare_logging_category(ruqola_googleauthenticationplugin_test_SRCS HEADER googleauthenticationplugin_debug.h
    IDENTIFIER RUQOLA_GOOGLEAUTHENTICATION_PLUGIN_LOG CATEGORY_NAME org.kde.ruqola_googleauthenticationplugin
)

macro(add_ruqola_plugin_unittest _source _additional)
    set(_test
        ${ruqola_googleauthenticationplugin_test_SRCS}
        ${_source}
        ${_additional}
    )
    get_filename_component(_name ${_source} NAME_WE)
    add_executable(${_name} ${_test})
    add_test(NAME ${_name} COMMAND ${_name})

    ecm_mark_as_test(${_name})
    target_link_libraries(
        ${_name}
        Qt::Test
        KF6::I18n
        libruqolacore
        ${o2_LIBRARIES}
    )
endmacro()

add_ruqola_plugin_unittest(googlepluginauthenticationtest.cpp "../googlepluginauthentication.cpp;../googleauthenticationinterface.cpp;../googlejob.cpp")
add_ruqola_plugin_unittest(googleauthenticationinterfacetest.cpp "../googleauthenticationinterface.cpp;../googlejob.cpp")

=== src/plugins/textplugin/webshortcut/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

## ruqola 1.7.3

=== debian/changelog ===
ruqola (1.7.3-0xneon+22.04+jammy+release+build3) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Aug 2022 10:46:52 +0000

ruqola (1.7.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 03 Apr 2022 05:21:17 +0000

ruqola (1.6.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Feb 2022 05:21:09 +0000

ruqola (1.6.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Feb 2022 05:21:06 +0000

ruqola (1.6.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 25 Dec 2021 05:21:06 +0000

ruqola (1.6.0-0neon) xenial; urgency=medium

  * Initial package

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:27:47 +0000

=== debian/control ===
Source: ruqola
Section: kde
Priority: optional
Build-Depends: appstream,
               cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.1.0~),
               kirigami2-dev,
               kuserfeedback-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5idletime-dev,
               libkf5kio-dev,
               libkf5networkmanagerqt-dev,
               libkf5notifications-dev,
               libkf5notifyconfig-dev,
               libkf5prison-dev,
               libkf5syntaxhighlighting-dev,
               libqt5networkauth5-dev,
               libqt5svg5-dev,
               libqt5texttospeech5-dev,
               libqt5websockets5-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qml-module-org-kde-kirigami2,
               qt5keychain-dev,
               qtbase5-dev (>= 5.2.0~),
               qtdeclarative5-dev,
               qtdeclarative5-dev-tools,
               qtmultimedia5-dev
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/ruqola.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/ruqola
Maintainer: Neon CI <neon@kde.org>

Package: ruqola
Architecture: any
Section: devel
Depends: qml-module-org-kde-kirigami2, ${misc:Depends}, ${shlibs:Depends}
Description: Rocket.Chat Desktop Client
 Application which lets you chat with Rocket.Chat.

## ruqola 1.7.4

=== debian/changelog ===
ruqola (1.7.4-0xneon+22.04+jammy+release+build4) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 25 Aug 2022 10:59:13 +0000

ruqola (1.7.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 25 Aug 2022 10:57:56 +0000

## ruqola 1.8.1

=== debian/changelog ===
ruqola (1.8.1-0xneon+22.04+jammy+release+build5) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 20 Oct 2022 05:22:19 +0000

ruqola (1.8.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Oct 2022 05:21:19 +0000

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=qt5

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

## ruqola 1.9.1

=== debian/changelog ===
ruqola (1.9.1-0xneon+22.04+jammy+release+build7) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Feb 2023 23:37:44 +0000

ruqola (1.9.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 05:21:19 +0000

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
                libkf5notifications-dev,
                libkf5notifyconfig-dev,
                libkf5prison-dev,
+               libkf5purpose-dev,
                libkf5syntaxhighlighting-dev,
                libqt5networkauth5-dev,
                libqt5svg5-dev,

## ruqola 2.0.0-0~git~siduction.2

=== debian/changelog ===
ruqola (2.0.0-0~git~siduction.2) unstable; urgency=medium

  * new git snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Sun, 15 Oct 2023 22:53:23 +0200

ruqola (2.0.0-0~git~siduction.1) unstable; urgency=medium

  * switch to 2.0 branch

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 18 Sep 2023 14:13:38 +0200

ruqola (1.9.80-1~git~siduction.1) unstable; urgency=medium

  * new git snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Wed, 16 Aug 2023 20:53:57 +0200

ruqola (1.9.67-1~git~siduction.1) unstable; urgency=medium

  * git snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Thu, 20 Jul 2023 22:00:35 +0200

ruqola (1.9.64-1~git~siduction.1) unstable; urgency=medium

  * git snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Fri, 30 Jun 2023 12:15:55 +0200

ruqola (1.9.59-1~git~siduction.1) unstable; urgency=medium

  * new git snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 05 Jun 2023 13:48:45 +0200

ruqola (1.9.55-1~git~siduction.1) unstable; urgency=medium

  * new git snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Tue, 02 May 2023 15:06:09 +0200

ruqola (1.9.54-1~git~siduction.1) unstable; urgency=medium

  * new git snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Thu, 30 Mar 2023 11:55:30 +0200

ruqola (1.9.52-1~siduction.1) unstable; urgency=medium

  * now realy a new snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 13 Mar 2023 23:53:13 +0100

ruqola (1.9.52-0~siduction.1) unstable; urgency=medium

  * new git snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 13 Mar 2023 23:48:41 +0100

ruqola (1.9.47-0~siduction.1) unstable; urgency=medium

  * new git snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Tue, 21 Feb 2023 13:40:19 +0100

ruqola (1.9.45-0~siduction.1) unstable; urgency=medium

  * new git snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Sat, 11 Feb 2023 13:48:10 +0100

ruqola (1.9.43-0~siduction.1) unstable; urgency=medium

  * new git snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Thu, 02 Feb 2023 20:26:28 +0100

ruqola (1.9.41-0~siduction.1) unstable; urgency=medium

  * new upstream version

 -- Torsten Wohlfarth <towo@siduction.org>  Thu, 12 Jan 2023 10:57:50 +0100

ruqola (1.8.49-~siduction.1) unstable; urgency=medium

  * update from git

 -- Torsten Wohlfarth <towo@siduction.org>  Tue, 22 Nov 2022 16:01:13 +0100

ruqola (1.8.1-0~siduction.3) unstable; urgency=medium

  * update from git

 -- Torsten Wohlfarth <towo@siduction.org>  Thu, 10 Nov 2022 14:21:49 +0100

ruqola (1.8.1-0~siduction.2) unstable; urgency=medium

  * update from git

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 31 Oct 2022 22:08:51 +0100

ruqola (1.8.1-0~siduction.1) unstable; urgency=medium

  * new upstream version

 -- Torsten Wohlfarth <towo@siduction.org>  Fri, 28 Oct 2022 12:58:22 +0200

ruqola (1.8.0-0~siduction.1) unstable; urgency=medium

  * New upstream release.

 -- Torsten Wohlfarth <towo@tuxedocomputers.com>  Fri, 02 Sep 2022 09:36:12 +0200

=== debian/control ===
--- 
+++ 
@@ -18,10 +18,12 @@
                libkf5notifyconfig-dev,
                libkf5prison-dev,
                libkf5purpose-dev,
+               libkf5sonnet-dev,
                libkf5syntaxhighlighting-dev,
                libqt5networkauth5-dev,
                libqt5svg5-dev,
                libqt5texttospeech5-dev,
+               libkf5textwidgets-dev,
                libqt5websockets5-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
@@ -35,11 +37,12 @@
 Homepage: http://www.kde.org/
 Vcs-Git: https://invent.kde.org/neon/neon-packaging/ruqola.git
 Vcs-Browser: https://invent.kde.org/neon/neon-packaging/ruqola
-Maintainer: Neon CI <neon@kde.org>
+Maintainer: Torsten Wohlfarth <two@tuxedocomputers.com>
+XSBC-Original-Maintainer: <debian-qt-kde@lists.debian.org>
 
 Package: ruqola
-Architecture: any
-Section: devel
+Architecture: amd64
+Section: net
 Depends: qml-module-org-kde-kirigami2, ${misc:Depends}, ${shlibs:Depends}
 Description: Rocket.Chat Desktop Client
  Application which lets you chat with Rocket.Chat.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+export DEB_BUILD_OPTIONS += noddebs
+export DEB_BUILD_OPTIONS += nocheck
 
 export QT_SELECT=qt5

## ruqola 2.5.3

=== debian/changelog ===
ruqola (2.5.3-0zneon+24.04+noble+release+build9) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 12 Sep 2025 05:31:38 +0000

ruqola (2.5.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 Sep 2025 05:21:39 +0000

ruqola (2.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Aug 2025 05:21:11 +0000

ruqola (2.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 24 Jan 2025 05:21:10 +0000

ruqola (2.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 18 Dec 2024 14:01:45 +0000

ruqola (2.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 19 Sep 2024 14:36:55 +0000

ruqola (2.2.0-0neon) noble; urgency=medium

  * New release

 -- Jonathan Riddell <jr@jriddell.org>  Wed, 05 Jun 2024 18:50:11 +0100

ruqola (2.1.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 16 Mar 2024 05:21:19 +0000

ruqola (2.1.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Sep 2023 05:21:23 +0000

ruqola (1.9.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 05:21:19 +0000

## ruqola 2.5.3+p24.04+vstable+git20250928.1340

=== debian/changelog ===
ruqola (2.5.3+p24.04+vstable+git20250928.1340-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 13:40:22 +0000

## ruqola 2.5.3+p24.04+vstable+git20251005.1109

=== debian/changelog ===
ruqola (2.5.3+p24.04+vstable+git20251005.1109-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 11:09:07 +0000

=== debian/control ===
Source: ruqola
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kidletime-dev,
               kf6-kio-dev,
               kf6-knotifications-dev,
               kf6-knotifyconfig-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-ktextaddons-dev,
               kf6-kuserfeedback-dev,
               kf6-networkmanager-qt-dev,
               kf6-prison-dev,
               kf6-purpose-dev,
               kf6-syntax-highlighting-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-networkauth-dev,
               qt6-speech-dev,
               qt6-svg-dev,
               qt6-websockets-dev,
               qtkeychain-qt6-dev
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/ruqola.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/ruqola
Maintainer: Neon CI <neon@kde.org>

Package: ruqola
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Rocket.Chat Desktop Client
 Application which lets you chat with Rocket.Chat.

## ruqola 2.6.0

=== debian/changelog ===
ruqola (2.6.0-0zneon+24.04+noble+release+build15) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 01:03:12 +0000

ruqola (2.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:45:52 +0000

## ruqola 2.6.0+p24.04+vstable+git20251015.1735

=== debian/changelog ===
ruqola (2.6.0+p24.04+vstable+git20251015.1735-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 17:35:29 +0000

## ruqola 2.6.0+p24.04+vstable+git20251019.0618

=== debian/changelog ===
ruqola (2.6.0+p24.04+vstable+git20251019.0618-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 06:18:23 +0000

## ruqola 2.6.0+p24.04+vstable+git20251021.0352

=== debian/changelog ===
ruqola (2.6.0+p24.04+vstable+git20251021.0352-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:52:50 +0000

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
                kf6-purpose-dev,
                kf6-syntax-highlighting-dev,
                pkg-kde-tools-neon,
+               plasma-activities-dev,
                qt6-base-dev,
                qt6-declarative-dev,
                qt6-multimedia-dev,
@@ -27,8 +28,10 @@
                qt6-speech-dev,
                qt6-svg-dev,
                qt6-websockets-dev,
-               qtkeychain-qt6-dev
-Standards-Version: 3.9.8
+               qtkeychain-qt6-dev,
+               reuse,
+               spdx-licenses
+Standards-Version: 4.6.2
 Homepage: http://www.kde.org/
 Vcs-Git: https://invent.kde.org/neon/neon-packaging/ruqola.git
 Vcs-Browser: https://invent.kde.org/neon/neon-packaging/ruqola

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/ruqola/@PACKAGE@-([\d.]+).tar.xz

## ruqola 2.6.0+p24.04+vstable+git20251028.1012

=== debian/changelog ===
ruqola (2.6.0+p24.04+vstable+git20251028.1012-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 10:12:57 +0000

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kf6

override_dh_auto_test:
	 -
